﻿/* Import Google Fonts */
@font-face {
  font-family: 'Merriweather';
  font-style: normal;
  font-weight: 300;
  font-stretch: normal;
  font-display: swap;
  src: url(https://fonts.gstatic.com/s/merriweather/v33/u-4D0qyriQwlOrhSvowK_l5UcA6zuSYEqOzpPe3HOZJ5eX1WtLaQwmYiScCmDxhtNOKl8yDrgCcqEw.ttf) format('truetype');
}
@font-face {
  font-family: 'Merriweather';
  font-style: normal;
  font-weight: 400;
  font-stretch: normal;
  font-display: swap;
  src: url(https://fonts.gstatic.com/s/merriweather/v33/u-4D0qyriQwlOrhSvowK_l5UcA6zuSYEqOzpPe3HOZJ5eX1WtLaQwmYiScCmDxhtNOKl8yDr3icqEw.ttf) format('truetype');
}
@font-face {
  font-family: 'Merriweather';
  font-style: normal;
  font-weight: 500;
  font-stretch: normal;
  font-display: swap;
  src: url(https://fonts.gstatic.com/s/merriweather/v33/u-4D0qyriQwlOrhSvowK_l5UcA6zuSYEqOzpPe3HOZJ5eX1WtLaQwmYiScCmDxhtNOKl8yDr7CcqEw.ttf) format('truetype');
}
@font-face {
  font-family: 'Merriweather';
  font-style: normal;
  font-weight: 600;
  font-stretch: normal;
  font-display: swap;
  src: url(https://fonts.gstatic.com/s/merriweather/v33/u-4D0qyriQwlOrhSvowK_l5UcA6zuSYEqOzpPe3HOZJ5eX1WtLaQwmYiScCmDxhtNOKl8yDrACAqEw.ttf) format('truetype');
}
@font-face {
  font-family: 'Merriweather';
  font-style: normal;
  font-weight: 700;
  font-stretch: normal;
  font-display: swap;
  src: url(https://fonts.gstatic.com/s/merriweather/v33/u-4D0qyriQwlOrhSvowK_l5UcA6zuSYEqOzpPe3HOZJ5eX1WtLaQwmYiScCmDxhtNOKl8yDrOSAqEw.ttf) format('truetype');
}
@font-face {
  font-family: 'Merriweather';
  font-style: normal;
  font-weight: 900;
  font-stretch: normal;
  font-display: swap;
  src: url(https://fonts.gstatic.com/s/merriweather/v33/u-4D0qyriQwlOrhSvowK_l5UcA6zuSYEqOzpPe3HOZJ5eX1WtLaQwmYiScCmDxhtNOKl8yDrdyAqEw.ttf) format('truetype');
}
@font-face {
  font-family: 'Montserrat';
  font-style: normal;
  font-weight: 300;
  font-display: swap;
  src: url(https://fonts.gstatic.com/s/montserrat/v31/JTUHjIg1_i6t8kCHKm4532VJOt5-QNFgpCs16Ew-.ttf) format('truetype');
}
@font-face {
  font-family: 'Montserrat';
  font-style: normal;
  font-weight: 400;
  font-display: swap;
  src: url(https://fonts.gstatic.com/s/montserrat/v31/JTUHjIg1_i6t8kCHKm4532VJOt5-QNFgpCtr6Ew-.ttf) format('truetype');
}
@font-face {
  font-family: 'Montserrat';
  font-style: normal;
  font-weight: 500;
  font-display: swap;
  src: url(https://fonts.gstatic.com/s/montserrat/v31/JTUHjIg1_i6t8kCHKm4532VJOt5-QNFgpCtZ6Ew-.ttf) format('truetype');
}
@font-face {
  font-family: 'Montserrat';
  font-style: normal;
  font-weight: 600;
  font-display: swap;
  src: url(https://fonts.gstatic.com/s/montserrat/v31/JTUHjIg1_i6t8kCHKm4532VJOt5-QNFgpCu170w-.ttf) format('truetype');
}
@font-face {
  font-family: 'Montserrat';
  font-style: normal;
  font-weight: 700;
  font-display: swap;
  src: url(https://fonts.gstatic.com/s/montserrat/v31/JTUHjIg1_i6t8kCHKm4532VJOt5-QNFgpCuM70w-.ttf) format('truetype');
}
/* Root Variables */
/* *{
  outline: 1px solid red;
} */
:root {
  /* Typography */
  --font-sans: 'Montserrat', sans-serif;
  --font-serif: 'Merriweather', serif;
  /* Colors */
  --primary: #231F20;
  --gray-dark: #696969;
  --gray-medium: #939393;
  --gray-light: #D9D9D9;
  --secondary: #434142;
  --beige: #FFFAED;
  --accent: #B92031;
  --accent-dark: #9B2421;
  --accent-light: #CA616B;
  --gray: #e1e1e1;
  --gray-55: #efefef;
  --gray-25: #f7f7f7;
  --custom-dark-overlay: rgba(67, 65, 66, 0.55);
  /* Font Sizes (Desktop) */
  --h1: 3.125rem;
  /* 50px */
  --h2: 2.125rem;
  /* 36px */
  --h3: 1.625rem;
  /* 26px */
  --h4: 1.25rem;
  /* 20px */
  --p: 1.125rem;
}
/* Responsive Typography (Mobile) */
@media (max-width: 768px) {
  :root {
    --h1: 2.375rem;
    /* 38px */
    --h2: 1.75rem;
    /* 28px */
    --h3: 1.25rem;
    /* 24px */
    --h4: 1.063rem;
    /* 17px */
    --p: 1rem;
    /* 16px */
  }
}
/* Typography */
body {
  font-family: var(--font-sans);
  color: var(--primary);
  margin: 0;
  padding: 0;
  max-width: 100%;
  overflow-x: hidden;
}
h1 {
  font-size: var(--h1);
  font-weight: 700;
}
h2 {
  font-size: var(--h2);
  font-weight: 600;
  line-height: 1.3;
  font-family: var(--font-serif);
  color: var(--secondary);
}
h3 {
  font-size: var(--h3);
  font-weight: 500;
  line-height: 1.3;
  text-transform: capitalize;
  color: var(--secondary);
}
h4 {
  font-size: var(--h4);
  font-weight: 600;
  line-height: 1.4;
  font-family: var(--font-serif);
  font-style: italic;
  color: var(--accent);
  text-transform: uppercase;
  letter-spacing: 1px;
}
.h4-alt {
  font-size: var(--h4);
  font-weight: 500;
  line-height: 1.4;
  font-family: var(--font-sans);
  color: var(--secondary);
}
p {
  font-size: var(--p);
  font-weight: 500;
  line-height: 1.6;
  color: var(--primary);
  letter-spacing: 0.2px;
  word-spacing: 1.2px;
}
.alt-p {
  font-size: 18px;
  font-weight: 500;
}
span {
  font-family: var(--font-sans);
  font-weight: 500;
}
/* Font Pairing*/
.font-sans {
  font-family: var(--font-sans);
}
.font-serif {
  font-family: var(--font-serif);
}
.form-control {
  padding: 0.5rem 0.75rem;
}
/* Buttons */
.btn {
  padding: 0.7rem 1.5rem;
  border-radius: 999px;
  font-family: var(--font-sans);
  font-weight: 600;
  text-transform: uppercase;
  border: 0;
  cursor: pointer;
  transition: all 0.3s ease;
}
.btn-accent {
  background-color: var(--accent);
  color: white;
}
.btn-accent:hover {
  background-color: var(--accent-dark);
  color: white;
}
.btn-secondary {
  background-color: var(--primary);
  color: white;
  border-color: var(--primary);
}
.btn-secondary:hover {
  background-color: var(--gray-medium);
  border-color: var(--gray-medium);
}
.btn-outline-secondary {
  background-color: transparent;
  border: 2px solid var(--secondary);
  color: var(--secondary);
  text-transform: uppercase;
  border-radius: 999px;
  transition: all 0.3s ease;
}
.btn-outline-secondary:hover {
  background-color: var(--gray-medium);
  color: #fff !important;
  border-color: var(--gray-medium);
}
.btn-outline {
  background: transparent;
  border: 2px solid var(--beige);
  color: var(--beige);
}
.btn-outline:hover,
.btn-outline:focus {
  background-color: var(--accent-light);
  border-color: var(--accent-light);
  color: white;
}
.btn-beige {
  background-color: var(--beige);
  color: var(--secondary);
  border-color: var(--beige);
}
.btn-beige:hover {
  background-color: var(--gray-55);
  color: var(--secondary);
}
.btn-beige-focus {
  background-color: var(--accent-light);
  border-color: var(--accent-light);
  color: var(--beige);
}
.btn-beige-focus:hover,
.btn-beige-focus:focus {
  background: transparent;
  border: 2px solid var(--beige);
  color: var(--beige);
}
.btn-custom {
  background: transparent;
  border: 2px solid var(--accent-light);
  color: var(--accent-light);
}
.btn-custom:hover {
  background-color: var(--accent-light);
  border-color: var(--accent-light);
  color: var(--beige);
}
.custom-sort-btn:hover,
.custom-sort-btn:focus {
  background-color: var(--gray-25);
  color: #fff;
  box-shadow: none;
}
a {
  color: var(--primary);
  text-decoration: none;
  font-family: var(--font-sans);
  font-size: 15px;
}
li {
  font-weight: 500;
}
/* Utility Colors */
.bg-primary {
  background-color: var(--primary);
}
.bg-secondary {
  background-color: var(--secondary);
}
.bg-accent {
  background-color: var(--accent);
}
.bg-beige {
  background-color: var(--beige);
}
.text-primary {
  color: var(--primary);
}
.text-secondary {
  color: var(--secondary);
}
.text-accent {
  color: var(--accent);
}
.no-scroll {
  overflow: hidden;
  height: 100vh;
}
.row {
  margin-left: 0;
  margin-right: 0;
}
.accordion-button:not(.collapsed) {
  border-bottom: none !important;
  box-shadow: none !important;
}
.accordion-button:not(.collapsed) {
  color: var(--accent);
}
label {
  font-weight: 500;
}
.form-check-input:checked,
input[type="radio"]:checked {
  background-color: var(--accent);
  border-color: var(--accent);
}
/*Navigation Bar*/
.above-header {
  display: none;
  height: 38px;
}
#mainNav {
  transition: all 0.3s ease;
  top: 0;
  height: 70px;
  z-index: 1030;
}
.custom-margin {
  margin-inline: 8rem;
}
.custom-padding {
  padding-inline: 4rem;
}
.nav-scrolled {
  background-color: rgba(255, 255, 255, 0.65) !important;
  backdrop-filter: saturate(180%) blur(20px);
  -webkit-backdrop-filter: saturate(180%) blur(20px);
  box-shadow: 0 2px 5px rgba(0, 0, 0, 0.05);
}
.nav-scrolled .nav-link,
.nav-scrolled .navbar-brand,
.nav-scrolled i {
  color: var(--primary);
}
.nav-booklet {
  display: flex;
}
.fixed-menu {
  color: var(--secondary);
  font-weight: 600;
  font-family: var(--font-sans);
  font-size: 16px;
}
#dropdownMenu {
  position: fixed;
  height: auto;
  overflow-y: auto;
  z-index: 1025;
  opacity: 0;
  transition: opacity 0.4s ease, top 0.3s ease;
  box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
}
#dropdownMenu.fade-in {
  opacity: 1;
}
.modal-backdrop {
  z-index: 1050;
}
.modal {
  z-index: 1055;
}
/*quick view modal*/
.modal-dialog {
  max-width: 45%;
}
.lg-backdrop {
  z-index: 1060;
}
.lg-outer {
  z-index: 1065 !important;
  top: var(--header-offset) !important;
  height: calc(100vh - var(--header-offset)) !important;
}
#locationModal .modal-dialog {
  max-width: 25%;
}
/*dropdown menu arrow up and down*/
.dropdown-toggle-mobile i {
  transition: transform 0.3s ease;
}
.dropdown-toggle-mobile i.rotate {
  transform: rotate(180deg);
}
/*sticky menu underline*/
.menu-tab {
  position: relative;
  padding-bottom: 5px;
}
.menu-tab.active::after {
  content: "";
  position: absolute;
  left: 0;
  bottom: 0;
  width: 100%;
  height: 2px;
  background-color: var(--accent);
  /* or any color you want for the underline */
  border-radius: 2px;
}
.sticky-menu {
  position: sticky;
  top: 58px;
  z-index: 10;
  overflow-x: auto;
  white-space: nowrap;
  -webkit-overflow-scrolling: touch;
}
.sticky-menu::-webkit-scrollbar {
  display: none;
}
#stickyMenu {
  transition: padding-top 0.3s ease;
}
.hide-scrollbar {
  scrollbar-width: none;
  -ms-overflow-style: none;
}
/*Hero Section*/
.hero-viewpoint {
  width: 100%;
  height: 80vh;
}
.pe-50 {
  padding-right: 50px;
}
.top-700 {
  top: 70%;
}
.custom-search-input {
  font-family: var(--font-sans);
  font-size: 14px;
  font-weight: 500;
}
#searchDropdown,
#cityResultPanel {
  margin-left: 1.5rem;
  margin-right: 1.5rem;
  max-width: calc(100% - 3rem);
}
/*Intro section*/
.intro-section {
  padding-top: 64px;
}
.custom-intro {
  font-family: var(--font-serif);
  color: var(--accent);
  font-style: italic;
  font-weight: 900;
}
/*Why AHP section*/
.custom-radius {
  border-top-left-radius: 0;
  border-top-right-radius: 50px;
  border-bottom-right-radius: 50px;
  border-bottom-left-radius: 50px;
}
.split-line {
  overflow: hidden;
  display: block;
  margin: 0;
  padding: 0;
  line-height: inherit;
}
/* IMPORTANT: block removes the baseline gap that inline-block creates */
.split-line > * {
  display: block;
  margin: 0;
  padding: 0;
  line-height: inherit;
}
.process-section {
  width: 75%;
}
.cta-img {
  width: 80%;
  max-height: 870px;
  object-fit: cover;
  will-change: transform;
}
.cta-box {
  margin-right: 10rem;
}
/* general house plan card */
.info-label {
  font-size: 16px;
  font-weight: 600;
  color: var(--gray-dark);
}
.divider-dot {
  width: 2px;
  height: 15px;
  background-color: var(--accent);
  display: inline-block;
  margin: 0 3px;
}
/*Footer section*/
.map-wrapper {
  background-image: url('/Assets/Homepage/map.png');
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  position: relative;
  color: #000;
}
.map-overlay {
  background-color: rgba(247, 247, 247, 0.93);
  /* Light gray overlay */
  width: 100%;
  height: 100%;
  break-inside: avoid;
}
.state-name {
  color: var(--accent);
  font-weight: 600;
  text-transform: uppercase;
}
.city-list li {
  color: var(--gray-dark);
  font-weight: 500;
  margin-bottom: 5px;
  letter-spacing: 1px;
  cursor: pointer;
  display: block;
  font-size: 16px;
  margin-left: 20px;
}
.city-list a {
  color: var(--gray-dark);
}
.notSaved,
.notSaved:active,
.notSaved:focus {
  color: #a9a9a9;
  font-size: 1.2rem;
  font-weight: 400 !important;
}
.saved,
.saved:active,
.saved:focus {
  color: var(--accent);
  font-size: 1.2rem;
  font-weight: 600 !important;
}
.menu-list li {
  margin-bottom: 15px;
  font-weight: 500;
  list-style: none;
  font-size: 16px;
}
.m-submenu-link {
  font-size: 15px;
  font-weight: 500;
  padding: 6px 0;
  display: block;
}
.copytight,
.footer-links {
  color: var(--gray-25);
  font-size: 14px;
  font-weight: 400;
}
/* Add spacing between each footer column */
.footer-menu .row > div {
  margin-bottom: 1rem;
}
/* Add spacing between heading and submenu */
.footer-menu span,
.footer-menu a.text-uppercase {
  display: block;
  margin-bottom: 0.5rem;
}
/* Space between list items */
.footer-menu ul li {
  margin-bottom: 0.25rem;
}
/* Ensure columns don't collapse into each other */
.footer-menu .row {
  gap: 2rem;
  /* Adjust to add more breathing room */
}
.swiper-button-next,
.swiper-button-prev {
  width: 45px !important;
  border-radius: 50% !important;
  background-color: var(--gray-25) !important;
  color: var(--secondary) !important;
}
.swiper-button-next::after,
.swiper-button-prev::after {
  font-size: 25px !important;
  font-weight: 600;
}
.layout-swiper-button-next,
.layout-swiper-button-prev {
  background-color: var(--gray-dark) !important;
  color: white !important;
}
.price-inline {
  font-style: italic;
  font-size: 14px;
  font-weight: 600;
  font-family: var(--font-serif);
  line-height: 1.2;
  color: var(--accent);
}
.price-value {
  font-family: var(--font-serif);
  font-size: 16px;
  color: var(--accent);
  font-style: italic;
  font-weight: 600;
}
.starting-at {
  font-family: var(--font-serif);
  font-size: 16px;
  color: var(--gray-dark);
  font-style: italic;
  font-weight: 600;
}
.disclaimer {
  color: var(--gray-dark);
  font-size: 14px;
  line-height: 1.2;
  position: relative;
  top: -1px;
}
.side-included-features {
  background: url(/images/icons/standard-features-tab-right.png) no-repeat;
  cursor: pointer;
  height: 300px;
  margin-top: 200px;
  position: fixed;
  right: 0;
  top: 25%;
  width: 50px;
  z-index: 100;
}
@media (max-width: 1780px) {
  .modal-dialog {
    max-width: 60%;
  }
  #locationModal .modal-dialog {
    max-width: 45%;
  }
}
/*Laptop Viewpoint */
@media (max-width: 1408px) {
  .custom-margin {
    margin-inline: 4rem;
  }
  #mainNav {
    transition: top 0.3s ease;
  }
  #mainNav.no-top {
    top: 0;
  }
  #navbarNav {
    justify-content: end !important;
  }
  .cta-box {
    margin-right: 5rem;
  }
}
@media (max-width: 1064px) {
  .nav-label {
    display: none;
  }
}
@media (min-width: 992px) {
  .mobile-submenu {
    display: block !important;
  }
}
/*Tablet Viewpoint*/
@media (max-width: 986px) {
  .custom-margin {
    margin-left: 2rem;
    margin-right: 2rem;
  }
  .process-section {
    width: 100%;
  }
  .cta-img {
    width: 93%;
  }
  #homeGallery .gallery-image {
    max-width: 360px;
    height: 200px;
  }
}
/*Mobile Viewpoint*/
@media (max-width: 652px) {
  .above-nav {
    display: none;
  }
  .above-header {
    display: block;
  }
  .modal-dialog {
    max-width: 90%;
  }
  #locationModal .modal-dialog {
    max-width: 90%;
  }
  .custom-padding {
    padding-inline: 1.5rem;
  }
  .hero-viewpoint {
    width: 100%;
    height: 68vh;
  }
  .intro-section {
    padding-top: 36px;
  }
  #dropdownMenu {
    height: calc(100vh - 95px);
  }
}